libebook::FictionBook2TextAuthorContext Class Reference documentation

Public Member Functions | Static Private Member Functions | List of all members
libebook::FictionBook2TextAuthorContext Class Reference

`#include <FictionBook2TextContext.h>`

Inheritance diagram for libebook::FictionBook2TextAuthorContext:

## Public Member Functions
| FictionBook2TextAuthorContext (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
Public Member Functions inherited from libebook::FictionBook2PContext
| FictionBook2PContext (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
Public Member Functions inherited from libebook::FictionBook2ParaContextBase
| FictionBook2ParaContextBase (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
Public Member Functions inherited from libebook::FictionBook2StyleContextBase
| FictionBook2StyleContextBase (FictionBook2ParserContext *parentContext, const FictionBook2Style &style)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent. More...
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent. More...
FictionBook2Collector * | getCollector () const
| Get the collector. More...
FictionBook2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Static Private Member Functions
static FictionBook2BlockFormat | makeBlockFormat (const FictionBook2BlockFormat &format)

## Additional Inherited Members
Protected Member Functions inherited from libebook::FictionBook2StyleContextBase
FictionBook2Style & | getStyle ()
FictionBook2TextFormat & | getTextFormat ()
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element. More...
void | endOfAttributes () override
| Signalize the end of attributes. More...
void | text (const char *value) override
| Process textual content of an element. More...

## Constructor & Destructor Documentation

## ◆ FictionBook2TextAuthorContext()

libebook::FictionBook2TextAuthorContext::FictionBook2TextAuthorContext | ( | FictionBook2ParserContext * | parentContext,
|  | const FictionBook2BlockFormat & | format
| ) |  |
| explicit

## Member Function Documentation

## ◆ makeBlockFormat()

FictionBook2BlockFormat libebook::FictionBook2TextAuthorContext::makeBlockFormat | ( | const FictionBook2BlockFormat & | format | ) |
| staticprivate

The documentation for this class was generated from the following files:

- FictionBook2TextContext.h
- FictionBook2TextContext.cpp